package com.sun.xml.internal.ws.api.model.wsdl;

import javax.xml.namespace.QName;
import com.sun.istack.internal.NotNull;

public interface WSDLInput extends WSDLObject, WSDLExtensible
{
    public abstract String getName();
    
    public abstract WSDLMessage getMessage();
    
    public abstract String getAction();
    
    @NotNull
    public abstract WSDLOperation getOperation();
    
    @NotNull
    public abstract QName getQName();
    
    public abstract boolean isDefaultAction();
}
